<script lang="ts">
  import { onMount } from 'svelte';
  import Section from '~/components/Section.svelte';
  import Carousel from '~/components/carousel/Carousel.svelte';
  import { SVGs } from '~/lib/svgs/SVGs.js';

  let data: UnknownRecord[] = [];
  onMount(() => {
    // data = (await HttpHelper.get(DOMAIN + api.discovers + '?size=14')) as UnknownRecord[];

    data = [
      {
        image: 'src/lib/images/game-icons/GWCxvLVQw6o1Sct.webp',
        url: '#',
      },
      {
        image: 'src/lib/images/game-icons/lost-survivors.webp',
        url: '#',
      },
      {
        image: 'src/lib/images/game-icons/Paid_331_is.radiantgames.boxisland.paymium.jpg',
        url: '#',
      },
      {
        image: 'src/lib/images/game-icons/run-island.jpg',
        url: '#',
      },
    ];
  });
</script>

<Section fullWidth>
  <!-- <div>
    <span class="left">
      <h2>Explore</h2>
    </span> -->
  <!-- <span class="right separate">
      <li><a>All</a></li>
      <li><a>Island</a></li>
      <li><a>Games</a></li>
    </span> -->
  <!-- </div> -->
  <Carousel fullWidth>
    <ul>
      {#each data as d, index}
        <li class="carousel-item">
          <a href={d.image}>
            <img
              src={d.image}
              alt="Image 1" />
          </a>
        </li>
      {/each}
      <li>
        <a
          href="/games"
          class="more"
          >more
          <img src={SVGs.common.other} /></a>
      </li>
      <!-- Buffer space: this will set the width to 8% of the container width -->
      <span class="w-[5%] md:w-[8%]" />
    </ul>
  </Carousel>
</Section>

<style lang="postcss">
  /* section {
    width: 100%;
    max-width: var(--content-max-width-1);
    margin-inline: auto;
    padding-block: var(--content-margin);

    & > div {
      display: flex;
      justify-content: space-between;
      margin-bottom: 0.2rem;
      padding-inline: var(--content-margin);
    }
  } */

  /* :global(.carousel > .slides) {
    padding-inline: var(--space-vw-1);
  } */

  .separate {
    display: inline-flex;
    list-style: none;

    & li + li::before {
      padding: 0 5px;
      content: ' | ';
    }
  }

  ul {
    display: flex;
    gap: var(--content-margin);

    & li {
      /* width set from Carousel */
      height: 100px;
    }
  }

  a {
    width: max-content;
    height: fit-content;
  }

  img {
    width: 100%;
    height: 100%;
    border-radius: var(--radius-2);
    object-fit: cover;
  }

  .more {
    display: flex;
    width: 100px;
    height: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: var(--radius-3);
    background-color: blue;

    & img {
      width: 40px;
      height: 20px;
    }
  }
</style>
